package com.wall.snap.wallpaper.ad

import android.app.Activity

object AdsInsUtil {

    object Placement {
        const val TOP_ON_AD_ONE = "944E9EED199812CB77C96BAA6AE7CE12"
        const val TOP_ON_AD_TOW = "6BFA08B2637A1B2B9EBAF4BD45480512"
        const val TOP_ON_AD_THREE = "C8B99C16E837C5D81A7B6CA5D9891412"
    }

    fun loadAd(
        act: Activity,
        adID: String,
        loadListener: LoadListener?
    ): AdInstLoad {
        return AdInstLoad(act, adID, loadListener)
    }

    fun showAd(
        act: Activity,
        adID: String,
        listener: ShowListener?
    ): AdInstShower {
        return AdInstShower(act, adID, listener)
    }
}